LibreOffice: XCertificate Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XCertificate Interface Reference

Interface of a PKI Certificate. More...

`import"XCertificate.idl";`

Inheritance diagram for XCertificate:

## Public Member Functions
XCertificateExtension | findCertificateExtension ([in]sequence< byte > oid)
| Find a extension with a object identifier. More...
long | getCertificateUsage ()
| get the certificate usage. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
short | Version
| the version number attribute of the certificate. More...
sequence< byte > | SerialNumber
| the serial number attribute of the certificate. More...
string | IssuerName
| the issuer name attribute of the certificate. More...
string | SubjectName
| the subject name attribute of the certificate. More...
com::sun::star::util::DateTime | NotValidBefore
| the validity NotBefore date attribute of the certificate. More...
com::sun::star::util::DateTime | NotValidAfter
| the validity NotAfter date attribute of the certificate. More...
sequence< byte > | IssuerUniqueID
| the issuer unique ID attribute of the certificate. More...
sequence< byte > | SubjectUniqueID
| the subject unique ID attribute of the certificate. More...
sequence< XCertificateExtension > | Extensions
| all extensions of a certificate. More...
sequence< byte > | Encoded
| the DER encoded form of the certificate More...
string | SubjectPublicKeyAlgorithm
| the algorithm of the subject public key More...
sequence< byte > | SubjectPublicKeyValue
| the value of the subject public key More...
string | SignatureAlgorithm
| the signature algorithm More...
sequence< byte > | SHA1Thumbprint
| the SHA-1 thumbprint More...
sequence< byte > | MD5Thumbprint
| the MD5 thumbprint More...

## Detailed Description

Interface of a PKI Certificate.

This interface represents a x509 certificate.

## Member Function Documentation

## ◆ findCertificateExtension()

XCertificateExtension findCertificateExtension | ( | [in] sequence< byte > | oid | ) |

Find a extension with a object identifier.

## ◆ getCertificateUsage()

long getCertificateUsage | ( |  | ) |

get the certificate usage.

The return value is a set of bits, as defined in RFC3280 for the KeyUsage BIT STRING. Note the bit and byte order used in ASN.1, so for instance the bit dataEncipherment in KeyUsage, "bit 3", corresponds to CERT_DATA_ENCIPHERMENT_KEY_USAGE in Win32 and KU_DATA_ENCIPHERMENT in NSS, both with value 0x10.

## Member Data Documentation

## ◆ Encoded

sequence< byte > Encoded
| attributereadonly

the DER encoded form of the certificate

## ◆ Extensions

sequence< XCertificateExtension > Extensions
| attributereadonly

all extensions of a certificate.

## ◆ IssuerName

string IssuerName
| attributereadonly

the issuer name attribute of the certificate.

## ◆ IssuerUniqueID

sequence< byte > IssuerUniqueID
| attributereadonly

the issuer unique ID attribute of the certificate.

## ◆ MD5Thumbprint

sequence< byte > MD5Thumbprint
| attributereadonly

the MD5 thumbprint

## ◆ NotValidAfter

com::sun::star::util::DateTime NotValidAfter
| attributereadonly

the validity NotAfter date attribute of the certificate.

## ◆ NotValidBefore

com::sun::star::util::DateTime NotValidBefore
| attributereadonly

the validity NotBefore date attribute of the certificate.

## ◆ SerialNumber

sequence< byte > SerialNumber
| attributereadonly

the serial number attribute of the certificate.

## ◆ SHA1Thumbprint

sequence< byte > SHA1Thumbprint
| attributereadonly

the SHA-1 thumbprint

## ◆ SignatureAlgorithm

string SignatureAlgorithm
| attributereadonly

the signature algorithm

## ◆ SubjectName

string SubjectName
| attributereadonly

the subject name attribute of the certificate.

## ◆ SubjectPublicKeyAlgorithm

string SubjectPublicKeyAlgorithm
| attributereadonly

the algorithm of the subject public key

## ◆ SubjectPublicKeyValue

sequence< byte > SubjectPublicKeyValue
| attributereadonly

the value of the subject public key

## ◆ SubjectUniqueID

sequence< byte > SubjectUniqueID
| attributereadonly

the subject unique ID attribute of the certificate.

## ◆ Version

short Version
| attributereadonly

the version number attribute of the certificate.

The documentation for this interface was generated from the following file:

- com/sun/star/security/XCertificate.idl